body {
  background: #333;
}

#all {
  width: 90%;
  margin: 0 auto;
  background: #fff;
}

#main_content {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
}

aside {
  display: flex;
  flex-direction: column;
  flex: 0.5;
  align-items: flex-start;
}

.links {
  list-style: none;
  padding: 0;
  margin: 0;
}

.links li {
  margin: 0.5em auto 0.5em 0;
}

nav {
  border-bottom: 1.5px solid #FF9900;
}

nav ul {
  display: flex;
  flex-wrap: wrap;
  word-break: break-all;
}

nav li {
  margin: 0.2em;
  display: flex;
  align-items: center;
}

nav li.search-form {
  margin-right: 1em;
  margin-left: auto;
}

.left, .center, .right {
  flex: 1;
  padding: 0.5em;
}

.left {
  background: #fdd;
  color: #600;
}

.center {
  background: #dfd;
  color: #060;
}

.right {
  background: #ddf;
  color: #006;
}

footer {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  border-top: 1.5px solid #FF9900;
  padding: 0.5em 0;
}

.footer_info {
  padding: 0.3em;
  font-size: 1.1em;
}

@media (max-width: 700px) {

  #main_content {
    flex-direction: column;
  }

  aside .links {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
  }

  .links li {
    margin: auto 0.3em auto;
  }

  footer {
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
  }
}
